Package: org.gradle.api.tasks

## [Java] Class StopExecutionException

- org.gradle.api.tasks.StopExecutionException

- A `StopExecutionException` is thrown by a Action or task action closure to stop execution of the current task and start execution of the next task. This allows, for example, precondition actions to be added to a task which abort execution of the task if the preconditions are not met.

  Note that throwing this exception does not fail the execution of the task or the build.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StopExecutionException ()`
    `StopExecutionException (String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StopExecutionException()

    - #### public StopExecutionException(String message)